> ## Documentation Index
> Fetch the complete documentation index at: https://developer.bron.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Address Book records

> Retrieve information about crypto addresses in an workspace's address book

<sup>API Key permissions: View only, Transaction Operator, Full Access</sup>



## OpenAPI

````yaml /bron-open-api-public.json get /workspaces/{workspaceId}/address-book-records
openapi: 3.1.1
info:
  description: >-
    Bron API is based on the RESTish interface provided for data exchange
    between a client and a server with the use of HTTPS requests and responses.
  title: Bron API
  version: latest
  x-bron-formats:
    bigint: Arbitrary-precision integer encoded as a JSON string.
    date-time-millis: >-
      Epoch milliseconds (UTC) encoded as a JSON string. Convert with `new
      Date(parseInt(value))` or equivalent.
    decimal: Arbitrary-precision decimal encoded as a JSON string.
    int32: 32-bit integer encoded as a JSON string.
    int64: >-
      Long integer encoded as a JSON string to preserve precision (e.g. account
      IDs).
servers:
  - description: app.bron.org
    url: https://api.bron.org
security: []
tags:
  - name: stake
  - name: balances
  - name: addresses
  - name: intents
  - name: assets
  - name: transaction-limits
  - name: canton
  - name: address-book
  - name: workspaces
  - name: accounts
  - name: transactions
paths:
  /workspaces/{workspaceId}/address-book-records:
    get:
      tags:
        - address-book
      summary: Get Address Book records
      description: >-
        Retrieve information about crypto addresses in an workspace's address
        book


        <sup>API Key permissions: View only, Transaction Operator, Full
        Access</sup>
      parameters:
        - description: Filter by address book record IDs list
          in: query
          name: recordIds
          required: false
          schema:
            items:
              type: string
            type: array
        - description: Filter by network IDs
          example:
            - BTC,ETH
          in: query
          name: networkIds
          required: false
          schema:
            items:
              type: string
            type: array
        - description: Filter by addresses
          example:
            - address1,address2
          in: query
          name: addresses
          required: false
          schema:
            items:
              type: string
            type: array
        - description: Filter by memo
          in: query
          name: memo
          required: false
          schema:
            type: string
        - description: Filter by tag (exact match, case-insensitive)
          in: query
          name: tag
          required: false
          schema:
            type: string
        - description: Limit for pagination
          in: query
          name: limit
          required: false
          schema:
            default: '500'
            format: int64
            type: string
        - description: Offset for pagination
          in: query
          name: offset
          required: false
          schema:
            format: int64
            type: string
        - description: '[See details](/enums/AddressBookSortBy)'
          in: query
          name: sortBy
          required: false
          schema:
            $ref: '#/components/schemas/AddressBookSortBy'
            type: string
        - description: '[See details](/enums/SortingDirection)'
          in: query
          name: sortDirection
          required: false
          schema:
            $ref: '#/components/schemas/SortingDirection'
            type: string
        - description: Filter by record type. [See details](/enums/RecordType)
          in: query
          name: recordType
          required: false
          schema:
            $ref: '#/components/schemas/RecordType'
            type: string
        - description: Filter by record types. [See details](/enums/RecordType)
          in: query
          name: recordTypes
          required: false
          schema:
            items:
              $ref: '#/components/schemas/RecordType'
            type: array
        - description: Filter by statuses. [See details](/enums/RecordStatus)
          in: query
          name: statuses
          required: false
          schema:
            items:
              $ref: '#/components/schemas/RecordStatus'
            type: array
        - in: path
          name: workspaceId
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AddressBookRecords'
          description: OK
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - bad-request
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Bad Request
        '403':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - forbidden
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Forbidden
        '409':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - conflict
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Conflict
components:
  schemas:
    AddressBookSortBy:
      enum:
        - date-added
        - type
        - name
      type: string
    SortingDirection:
      enum:
        - ASC
        - DESC
      type: string
    RecordType:
      enum:
        - address
        - tag
        - bank
      type: string
    RecordStatus:
      enum:
        - new
        - active
        - rejected
        - deleted
      type: string
    AddressBookRecords:
      properties:
        records:
          items:
            $ref: '#/components/schemas/AddressBookRecord'
          type: array
      required:
        - records
      type: object
    AddressBookRecord:
      properties:
        accountIds:
          description: Comma-separated account ids, if address set for particular accounts
          items:
            type: string
          type: array
        address:
          description: Blockchain address string
          examples:
            - TKAduQVqNaTLyBzVvRrcctY6FFraowJ3Uc
          type: string
        createdAt:
          description: Created at timestamp
          examples:
            - '1749646207296'
          format: date-time-millis
          type: string
        createdBy:
          description: Created by user id
          examples:
            - e191u51yxnykins6fahdizxy
          type: string
        externalId:
          description: Address book entry external ID
          examples:
            - ki50iq4iotxmuv1ihgw9q6u3
          type: string
        imageId:
          description: Workspace image ID (for tag type records)
          type: string
        lastUsedAt:
          description: Last used at
          examples:
            - '1749646207296'
          format: date-time-millis
          type: string
        memo:
          description: Address memo (destination tag for XRP)
          type: string
        name:
          description: Name of the address
          examples:
            - My address
          type: string
        networkId:
          description: Currency of an address
          examples:
            - BTC
          type: string
        recordId:
          description: Address book record ID
          examples:
            - gx8df95a09h319dbu79rfora
          type: string
        recordType:
          $ref: '#/components/schemas/RecordType'
          description: 'Record type: address, tag, or bank. [See details](/enums/RecordType)'
        status:
          $ref: '#/components/schemas/RecordStatus'
          description: '[See details](/enums/RecordStatus)'
        tag:
          description: Workspace tag (for tag type records)
          examples:
            - $myworkspace
          type: string
        updatedAt:
          description: Last updated Updated at timestamp
          examples:
            - '1749646207296'
          format: date-time-millis
          type: string
        updatedBy:
          description: Updated by user id
          examples:
            - e191u51yxnykins6fahdizxy
          type: string
        workspaceId:
          description: Workspace ID
          examples:
            - e191u51yxnykins6fahd
          type: string
      required:
        - recordId
        - externalId
        - workspaceId
        - recordType
        - name
        - status
        - createdAt
      type: object

````